stages:
  - build 
  - test 
  - deploy 

include:
  - component: gitlab.com/components/sast/sast@1.1.0

build:
  # [🦊] hint: Root cause analysis.
  # Solution 1 - begin
  image: golang:latest
  #image: alpine:latest
  # Solution 1 - end
  stage: build 
  # Solution 2 - begin 
  #before_script:
  #  - apk add --no-cache go
  # Solution 2 - end 
  script:
    - go build -o tanuki
  artifacts:
    paths:
      - ./tanuki 